cURL
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/items/{CopyDetailsFromItemId}/copy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"copyDetailsIntoItemIds": [
"b45f6432-2462-4c6f-b00f-1d9d01000000"
],
"copyOptions": {}
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/items/{CopyDetailsFromItemId}/copy"
payload = {
"copyDetailsIntoItemIds": ["b45f6432-2462-4c6f-b00f-1d9d01000000"],
"copyOptions": {}
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
copyDetailsIntoItemIds: ['b45f6432-2462-4c6f-b00f-1d9d01000000'],
copyOptions: {}
})
};
fetch('https://api.jtl-cloud.com/erp/v2/items/{CopyDetailsFromItemId}/copy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"itemId": [
"b45f6432-2462-4c6f-b00f-1d9d01000000"
]
}Item
Post v2items copy
POST
/
v2
/
items
/
{CopyDetailsFromItemId}
/
copy
cURL
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Body
application/json
Request parameters
Response
Itemdetails successfully copied to the specified items.
- Response
Unique IDs of the items that received copied values.
Was this page helpful?
Creates a new regular item with all specified properties. This command enables complete configuration of an item including identifiers, descriptions, prices, and measurements.Creates one or more duplicates of an existing item with specified duplication options.
⌘I